--
-- $Id$
--
-- Stel puo_bcc instelling in op archief@aa-fm.com 
-- Voeg serviceheroes account toe aan alle omgevingen.

DEFINE thisfile = 'AAFM#41903.SQL'
DEFINE dbuser   = '^AA|^ASMS|^GULU|^NMMS|^RABO|^ZKHM'


SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin -----

SET DEFINE OFF;
Insert into PRS_PERSLID
   (PRS_PERSLID_KEY, PRS_SRTPERSLID_KEY, PRS_AFDELING_KEY, PRS_PERSLID_NAAM, PRS_PERSLID_UPPER, 
    PRS_PERSLID_OSLOGIN, PRS_PERSLID_EMAIL,  
    PRS_PERSLID_INGIDS, PRS_PERSLID_FLAGS, PRS_PERSLID_APIKEY)
 Values
   (12, (SELECT prs_srtperslid_key FROM prs_srtperslid WHERE PRS_SRTPERSLID_UPPER = 'ONBEKEND'), 
   (SELECT MIN(prs_afdeling_key) FROM prs_perslid WHERE prs_perslid_naam = 'Facilitor' AND prs_perslid_verwijder IS NULL), 'ServiceHeroes', 'SERVICEHEROES', 
    '_SERVICEHEROES', 'voorbeeld@serviceheroes.nl',  
    NULL, 4, 'BKTZsCSnZHtpWrmAECiEFuFppcIglWAl');

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile

